Subject: [DNSOP] SVCB wire format (draft-ietf-dnsop-svcb-httpssvc-01)

From: Miek Gieben <[email-masked]>
Date: Sun, 29 Dec 2019 10:17:48 +0100

Hello,

I'm looking into implementing the SVCB RR, and I'm wondering about the rational
to make the wire format different between AliasForm and ServiceForm?

Wouldn't it be simpler to always use the ServiceForm's wire format, but have a
zero key and zero value? I.e. 0 0, these MUST then be ignored for the
presentation format (handwaving the actual text for the draft here a bit).

/Miek

--
Miek Gieben